build: add a few missing --no-print-directory Reported by W. Michael Petullo <mike@flyn.org> Fixes #1269. R=r, r2 CC=golang-dev https://golang.org/cl/3618041
diff --git a/doc/progs/run b/doc/progs/run index 3489a88..29f1f81 100755 --- a/doc/progs/run +++ b/doc/progs/run
@@ -5,7 +5,7 @@ set -e -eval $(gomake -f ../../src/Make.inc go-env) +eval $(gomake --no-print-directory -f ../../src/Make.inc go-env) if [ -z "$O" ]; then echo 'missing $O - maybe no Make.$GOARCH?' 1>&2
diff --git a/src/cmd/gc/mkbuiltin b/src/cmd/gc/mkbuiltin index 754844e..4dfff1c 100755 --- a/src/cmd/gc/mkbuiltin +++ b/src/cmd/gc/mkbuiltin
@@ -10,7 +10,7 @@ set -e -eval $(gomake -f ../../Make.inc go-env) +eval $(gomake --no-print-directory -f ../../Make.inc go-env) if [ -z "$GC" ]; then echo 'missing $GC - gomake failed?' 1>&2 exit 1
diff --git a/src/make.bash b/src/make.bash index 2bfc048..0d0dae6 100755 --- a/src/make.bash +++ b/src/make.bash
@@ -90,7 +90,7 @@ # Implemented as a function so that all.bash can repeat the output # after run.bash finishes running all the tests. installed() { - eval $(gomake -f Make.inc go-env) + eval $(gomake --no-print-directory -f Make.inc go-env) echo echo --- echo Installed Go for $GOOS/$GOARCH in "$GOROOT".